document.addEventListener("DOMContentLoaded", function () {
  const eyeContainer = document.getElementById("eye-container");

  if (eyeContainer) {
    eyeContainer.remove();
    const inputParent =
      document.getElementById("simplyin_api_key").parentNode.parentNode;
    inputParent.style.position = "relative";
    inputParent.appendChild(eyeContainer);
  }

  const paragraphs = document.querySelectorAll(".order_data_column p");

  if (paragraphs) {
    paragraphs.forEach(function (p) {
      if (p.textContent.trim().startsWith("Save my data:")) {
        p.style.display = "none";
      }
    });
  }
});
